Loading...
Searching...
No Matches
pdumodel::Outlet::Settings Struct Reference

Outlet settings More...

`import <Outlet.idl;`

## Public Attributes

string | name
| User-defined name.
StartupState | startupState
| Power state after power is applied to the outlet.
boolean | usePduCycleDelay
| `true` to use power-cycle delay as defined in PDU settings
int | cycleDelay
| Outlet-specific power-cycle delay
boolean | nonCritical
| `true` if outlet is non-critical (for load shedding)
int | sequenceDelay
| Delay in ms after this outlet when switching multiple outlets on.

## Detailed Description

Outlet settings

Definition at line 99 of file Outlet.idl.

## Member Data Documentation

## cycleDelay

int pdumodel::Outlet::Settings::cycleDelay

Outlet-specific power-cycle delay

Definition at line 103 of file Outlet.idl.

## name

string pdumodel::Outlet::Settings::name

User-defined name.

Definition at line 100 of file Outlet.idl.

## nonCritical

boolean pdumodel::Outlet::Settings::nonCritical

`true` if outlet is non-critical (for load shedding)

Definition at line 104 of file Outlet.idl.

## sequenceDelay

int pdumodel::Outlet::Settings::sequenceDelay

Delay in ms after this outlet when switching multiple outlets on.

Definition at line 105 of file Outlet.idl.

## startupState

StartupState pdumodel::Outlet::Settings::startupState

Power state after power is applied to the outlet.

Definition at line 101 of file Outlet.idl.

## usePduCycleDelay

boolean pdumodel::Outlet::Settings::usePduCycleDelay

`true` to use power-cycle delay as defined in PDU settings

Definition at line 102 of file Outlet.idl.

The documentation for this struct was generated from the following file:

- Outlet.idl